From df8338c7809d637505a577f0a7465c8dfca7ac8f Mon Sep 17 00:00:00 2001
From: Ryan Brue <ryanbrue@hotmail.com>
Date: Apr 23 2024 03:53:52 +0000
Subject: [PATCH 132/220] fix


---

diff --git a/rpms/cosmic-app-library/cosmic-app-library.spec b/rpms/cosmic-app-library/cosmic-app-library.spec
index e2d3be6..e8026eb 100644
--- a/rpms/cosmic-app-library/cosmic-app-library.spec
+++ b/rpms/cosmic-app-library/cosmic-app-library.spec
@@ -72,7 +72,7 @@ cat .vendor/config.toml >> .cargo/config
 %{cargo_license_summary}
 %{cargo_license} > LICENSE.dependencies
 %{cargo_vendor_manifest}
-sed 's/\(.*\) (.*#\(.*\))/\1^git\2/' -i cargo-vendor.txt
+sed 's/\(.*\) (.*#\(.*\))/\1+git\2/' -i cargo-vendor.txt
 
 %install
 just rootdir=%{buildroot} prefix=%{_prefix} install
diff --git a/rpms/cosmic-applets/cosmic-applets.spec b/rpms/cosmic-applets/cosmic-applets.spec
index f058001..5b27962 100644
--- a/rpms/cosmic-applets/cosmic-applets.spec
+++ b/rpms/cosmic-applets/cosmic-applets.spec
@@ -79,7 +79,7 @@ cat .vendor/config.toml >> .cargo/config
 %{cargo_license_summary}
 %{cargo_license} > LICENSE.dependencies
 %{cargo_vendor_manifest}
-sed 's/\(.*\) (.*#\(.*\))/\1^git\2/' -i cargo-vendor.txt
+sed 's/\(.*\) (.*#\(.*\))/\1+git\2/' -i cargo-vendor.txt
 
 %install
 just rootdir=%{buildroot} prefix=%{_prefix} install
diff --git a/rpms/cosmic-bg/cosmic-bg.spec b/rpms/cosmic-bg/cosmic-bg.spec
index db75d24..a0cc405 100644
--- a/rpms/cosmic-bg/cosmic-bg.spec
+++ b/rpms/cosmic-bg/cosmic-bg.spec
@@ -64,7 +64,7 @@ cat .vendor/config.toml >> .cargo/config
 %{cargo_license_summary}
 %{cargo_license} > LICENSE.dependencies
 %{cargo_vendor_manifest}
-sed 's/\(.*\) (.*#\(.*\))/\1^git\2/' -i cargo-vendor.txt
+sed 's/\(.*\) (.*#\(.*\))/\1+git\2/' -i cargo-vendor.txt
 
 %install
 just rootdir=%{buildroot} prefix=%{_prefix} install
diff --git a/rpms/cosmic-comp/cosmic-comp.spec b/rpms/cosmic-comp/cosmic-comp.spec
index 0574564..3c60d53 100644
--- a/rpms/cosmic-comp/cosmic-comp.spec
+++ b/rpms/cosmic-comp/cosmic-comp.spec
@@ -82,7 +82,7 @@ cat .vendor/config.toml >> .cargo/config
 %{cargo_license_summary}
 %{cargo_license} > LICENSE.dependencies
 %{cargo_vendor_manifest}
-sed 's/\(.*\) (.*#\(.*\))/\1^git\2/' -i cargo-vendor.txt
+sed 's/\(.*\) (.*#\(.*\))/\1+git\2/' -i cargo-vendor.txt
 
 %install
 make install DESTDIR=%{buildroot} prefix=%{_prefix}
diff --git a/rpms/cosmic-edit/cosmic-edit.spec b/rpms/cosmic-edit/cosmic-edit.spec
index fc6fcd9..d501ac4 100644
--- a/rpms/cosmic-edit/cosmic-edit.spec
+++ b/rpms/cosmic-edit/cosmic-edit.spec
@@ -76,7 +76,7 @@ cat .vendor/config.toml >> .cargo/config
 %{cargo_license_summary}
 %{cargo_license} > LICENSE.dependencies
 %{cargo_vendor_manifest}
-sed 's/\(.*\) (.*#\(.*\))/\1^git\2/' -i cargo-vendor.txt
+sed 's/\(.*\) (.*#\(.*\))/\1+git\2/' -i cargo-vendor.txt
 
 %install
 just rootdir=%{buildroot} prefix=%{_prefix} install
diff --git a/rpms/cosmic-files/cosmic-files.spec b/rpms/cosmic-files/cosmic-files.spec
index 920595f..9b79822 100644
--- a/rpms/cosmic-files/cosmic-files.spec
+++ b/rpms/cosmic-files/cosmic-files.spec
@@ -75,7 +75,7 @@ cat .vendor/config.toml >> .cargo/config
 %{cargo_license_summary}
 %{cargo_license} > LICENSE.dependencies
 %{cargo_vendor_manifest}
-sed 's/\(.*\) (.*#\(.*\))/\1^git\2/' -i cargo-vendor.txt
+sed 's/\(.*\) (.*#\(.*\))/\1+git\2/' -i cargo-vendor.txt
 
 %install
 just rootdir=%{buildroot} prefix=%{_prefix} install
diff --git a/rpms/cosmic-greeter/cosmic-greeter.spec b/rpms/cosmic-greeter/cosmic-greeter.spec
index 30c95c1..9611e5f 100644
--- a/rpms/cosmic-greeter/cosmic-greeter.spec
+++ b/rpms/cosmic-greeter/cosmic-greeter.spec
@@ -83,7 +83,7 @@ cargo build --release --all --offline --frozen
 %{cargo_license_summary}
 %{cargo_license} > LICENSE.dependencies
 %{cargo_vendor_manifest}
-sed 's/\(.*\) (.*#\(.*\))/\1^git\2/' -i cargo-vendor.txt
+sed 's/\(.*\) (.*#\(.*\))/\1+git\2/' -i cargo-vendor.txt
 
 %install
 install -Dm0755 target/release/cosmic-greeter %{buildroot}/%{_bindir}/cosmic-greeter
diff --git a/rpms/cosmic-launcher/cosmic-launcher.spec b/rpms/cosmic-launcher/cosmic-launcher.spec
index 65333fc..833cf9c 100644
--- a/rpms/cosmic-launcher/cosmic-launcher.spec
+++ b/rpms/cosmic-launcher/cosmic-launcher.spec
@@ -77,7 +77,7 @@ cat .vendor/config.toml >> .cargo/config
 %{cargo_license_summary}
 %{cargo_license} > LICENSE.dependencies
 %{cargo_vendor_manifest}
-sed 's/\(.*\) (.*#\(.*\))/\1^git\2/' -i cargo-vendor.txt
+sed 's/\(.*\) (.*#\(.*\))/\1+git\2/' -i cargo-vendor.txt
 
 %install
 just rootdir=%{buildroot} prefix=%{_prefix} install
diff --git a/rpms/cosmic-notifications/cosmic-notifications.spec b/rpms/cosmic-notifications/cosmic-notifications.spec
index 99c7eb4..e8d29e6 100644
--- a/rpms/cosmic-notifications/cosmic-notifications.spec
+++ b/rpms/cosmic-notifications/cosmic-notifications.spec
@@ -70,7 +70,7 @@ cat .vendor/config.toml >> .cargo/config
 %{cargo_license_summary}
 %{cargo_license} > LICENSE.dependencies
 %{cargo_vendor_manifest}
-sed 's/\(.*\) (.*#\(.*\))/\1^git\2/' -i cargo-vendor.txt
+sed 's/\(.*\) (.*#\(.*\))/\1+git\2/' -i cargo-vendor.txt
 
 %install
 just rootdir=%{buildroot} prefix=%{_prefix} install
diff --git a/rpms/cosmic-osd/cosmic-osd.spec b/rpms/cosmic-osd/cosmic-osd.spec
index 9d9444d..16f828f 100644
--- a/rpms/cosmic-osd/cosmic-osd.spec
+++ b/rpms/cosmic-osd/cosmic-osd.spec
@@ -76,7 +76,7 @@ make all polkit-agent-helper-1=/usr/lib/polkit-1/polkit-agent-helper-1
 %{cargo_license_summary}
 %{cargo_license} > LICENSE.dependencies
 %{cargo_vendor_manifest}
-sed 's/\(.*\) (.*#\(.*\))/\1^git\2/' -i cargo-vendor.txt
+sed 's/\(.*\) (.*#\(.*\))/\1+git\2/' -i cargo-vendor.txt
 
 %install
 make install DESTDIR=%{buildroot} prefix=%{_prefix}
diff --git a/rpms/cosmic-panel/cosmic-panel.spec b/rpms/cosmic-panel/cosmic-panel.spec
index d8ce21a..1dcb300 100644
--- a/rpms/cosmic-panel/cosmic-panel.spec
+++ b/rpms/cosmic-panel/cosmic-panel.spec
@@ -67,7 +67,7 @@ cat .vendor/config.toml >> .cargo/config
 %{cargo_license_summary}
 %{cargo_license} > LICENSE.dependencies
 %{cargo_vendor_manifest}
-sed 's/\(.*\) (.*#\(.*\))/\1^git\2/' -i cargo-vendor.txt
+sed 's/\(.*\) (.*#\(.*\))/\1+git\2/' -i cargo-vendor.txt
 
 %install
 just rootdir=%{buildroot} prefix=%{_prefix} install
diff --git a/rpms/cosmic-player/cosmic-player.spec b/rpms/cosmic-player/cosmic-player.spec
index 7cddad7..2c1e836 100644
--- a/rpms/cosmic-player/cosmic-player.spec
+++ b/rpms/cosmic-player/cosmic-player.spec
@@ -44,7 +44,7 @@ BuildRequires:  cargo-rpm-macros >= 26
 %{cargo_license_summary}
 %{cargo_license} > LICENSE.dependencies
 %{cargo_vendor_manifest}
-sed 's/\(.*\) (.*#\(.*\))/\1^git\2/' -i cargo-vendor.txt
+sed 's/\(.*\) (.*#\(.*\))/\1+git\2/' -i cargo-vendor.txt
 
 %install
 %cargo_install
diff --git a/rpms/cosmic-randr/cosmic-randr.spec b/rpms/cosmic-randr/cosmic-randr.spec
index 48082b3..0fa7422 100644
--- a/rpms/cosmic-randr/cosmic-randr.spec
+++ b/rpms/cosmic-randr/cosmic-randr.spec
@@ -58,7 +58,7 @@ cat .vendor/config.toml >> .cargo/config
 %{cargo_license_summary}
 %{cargo_license} > LICENSE.dependencies
 %{cargo_vendor_manifest}
-sed 's/\(.*\) (.*#\(.*\))/\1^git\2/' -i cargo-vendor.txt
+sed 's/\(.*\) (.*#\(.*\))/\1+git\2/' -i cargo-vendor.txt
 
 %install
 just rootdir=%{buildroot} prefix=%{_prefix} install
diff --git a/rpms/cosmic-screenshot/cosmic-screenshot.spec b/rpms/cosmic-screenshot/cosmic-screenshot.spec
index f8e78fe..0f82db2 100644
--- a/rpms/cosmic-screenshot/cosmic-screenshot.spec
+++ b/rpms/cosmic-screenshot/cosmic-screenshot.spec
@@ -61,7 +61,7 @@ cat .vendor/config.toml >> .cargo/config
 %{cargo_license_summary}
 %{cargo_license} > LICENSE.dependencies
 %{cargo_vendor_manifest}
-sed 's/\(.*\) (.*#\(.*\))/\1^git\2/' -i cargo-vendor.txt
+sed 's/\(.*\) (.*#\(.*\))/\1+git\2/' -i cargo-vendor.txt
 
 %install
 just rootdir=%{buildroot} prefix=%{_prefix} install
diff --git a/rpms/cosmic-session/cosmic-session.spec b/rpms/cosmic-session/cosmic-session.spec
index 30020b2..bd296cc 100644
--- a/rpms/cosmic-session/cosmic-session.spec
+++ b/rpms/cosmic-session/cosmic-session.spec
@@ -87,7 +87,7 @@ cat .vendor/config.toml >> .cargo/config
 %{cargo_license_summary}
 %{cargo_license} > LICENSE.dependencies
 %{cargo_vendor_manifest}
-sed 's/\(.*\) (.*#\(.*\))/\1^git\2/' -i cargo-vendor.txt
+sed 's/\(.*\) (.*#\(.*\))/\1+git\2/' -i cargo-vendor.txt
 
 %install
 just rootdir=%{buildroot} install
diff --git a/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec b/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec
index c842c1b..3eaea56 100644
--- a/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec
+++ b/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec
@@ -74,7 +74,7 @@ cat .vendor/config.toml >> .cargo/config
 %{cargo_license_summary}
 %{cargo_license} > LICENSE.dependencies
 %{cargo_vendor_manifest}
-sed 's/\(.*\) (.*#\(.*\))/\1^git\2/' -i cargo-vendor.txt
+sed 's/\(.*\) (.*#\(.*\))/\1+git\2/' -i cargo-vendor.txt
 
 %install
 make install DESTDIR=%{buildroot} prefix=%{_prefix}
diff --git a/rpms/cosmic-settings/cosmic-settings.spec b/rpms/cosmic-settings/cosmic-settings.spec
index e491947..c20fa52 100644
--- a/rpms/cosmic-settings/cosmic-settings.spec
+++ b/rpms/cosmic-settings/cosmic-settings.spec
@@ -75,7 +75,7 @@ cat .vendor/config.toml >> .cargo/config
 %{cargo_license_summary}
 %{cargo_license} > LICENSE.dependencies
 %{cargo_vendor_manifest}
-sed 's/\(.*\) (.*#\(.*\))/\1^git\2/' -i cargo-vendor.txt
+sed 's/\(.*\) (.*#\(.*\))/\1+git\2/' -i cargo-vendor.txt
 
 %install
 just rootdir=%{buildroot} install
diff --git a/rpms/cosmic-store/cosmic-store.spec b/rpms/cosmic-store/cosmic-store.spec
index ff4e71f..c7da7bd 100644
--- a/rpms/cosmic-store/cosmic-store.spec
+++ b/rpms/cosmic-store/cosmic-store.spec
@@ -74,7 +74,7 @@ cat .vendor/config.toml >> .cargo/config
 %{cargo_license_summary}
 %{cargo_license} > LICENSE.dependencies
 %{cargo_vendor_manifest}
-sed 's/\(.*\) (.*#\(.*\))/\1^git\2/' -i cargo-vendor.txt
+sed 's/\(.*\) (.*#\(.*\))/\1+git\2/' -i cargo-vendor.txt
 
 %install
 just rootdir=%{buildroot} prefix=%{_prefix} install
diff --git a/rpms/cosmic-term/cosmic-term.spec b/rpms/cosmic-term/cosmic-term.spec
index b81b7be..beedce7 100644
--- a/rpms/cosmic-term/cosmic-term.spec
+++ b/rpms/cosmic-term/cosmic-term.spec
@@ -75,7 +75,7 @@ cat .vendor/config.toml >> .cargo/config
 %{cargo_license_summary}
 %{cargo_license} > LICENSE.dependencies
 %{cargo_vendor_manifest}
-sed 's/\(.*\) (.*#\(.*\))/\1^git\2/' -i cargo-vendor.txt
+sed 's/\(.*\) (.*#\(.*\))/\1+git\2/' -i cargo-vendor.txt
 
 %install
 just rootdir=%{buildroot} prefix=%{_prefix} install
diff --git a/rpms/cosmic-workspaces/cosmic-workspaces.spec b/rpms/cosmic-workspaces/cosmic-workspaces.spec
index dc49bec..772d8e6 100644
--- a/rpms/cosmic-workspaces/cosmic-workspaces.spec
+++ b/rpms/cosmic-workspaces/cosmic-workspaces.spec
@@ -80,7 +80,7 @@ cat .vendor/config.toml >> .cargo/config
 %{cargo_license_summary}
 %{cargo_license} > LICENSE.dependencies
 %{cargo_vendor_manifest}
-sed 's/\(.*\) (.*#\(.*\))/\1^git\2/' -i cargo-vendor.txt
+sed 's/\(.*\) (.*#\(.*\))/\1+git\2/' -i cargo-vendor.txt
 
 %install
 make install DESTDIR=%{buildroot} prefix=%{_prefix}
diff --git a/rpms/pop-launcher/pop-launcher.spec b/rpms/pop-launcher/pop-launcher.spec
index b26961f..504e745 100644
--- a/rpms/pop-launcher/pop-launcher.spec
+++ b/rpms/pop-launcher/pop-launcher.spec
@@ -74,7 +74,7 @@ just build-release --offline --frozen
 %{cargo_license_summary}
 %{cargo_license} > LICENSE.dependencies
 %{cargo_vendor_manifest}
-sed 's/\(.*\) (.*#\(.*\))/\1^git\2/' -i cargo-vendor.txt
+sed 's/\(.*\) (.*#\(.*\))/\1+git\2/' -i cargo-vendor.txt
 
 %install
 just rootdir=%{buildroot} install
diff --git a/rpms/system76-power/system76-power.spec b/rpms/system76-power/system76-power.spec
index 0f87aa4..20297d0 100644
--- a/rpms/system76-power/system76-power.spec
+++ b/rpms/system76-power/system76-power.spec
@@ -37,7 +37,7 @@ BuildRequires:  cargo-rpm-macros >= 26
 %{cargo_license_summary}
 %{cargo_license} > LICENSE.dependencies
 %{cargo_vendor_manifest}
-sed 's/\(.*\) (.*#\(.*\))/\1^git\2/' -i cargo-vendor.txt
+sed 's/\(.*\) (.*#\(.*\))/\1+git\2/' -i cargo-vendor.txt
 
 %install
 %cargo_install
diff --git a/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec b/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec
index aadc22b..c818ba0 100644
--- a/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec
+++ b/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec
@@ -79,7 +79,7 @@ cat .vendor/config.toml >> .cargo/config
 %{cargo_license_summary}
 %{cargo_license} > LICENSE.dependencies
 %{cargo_vendor_manifest}
-sed 's/\(.*\) (.*#\(.*\))/\1^git\2/' -i cargo-vendor.txt
+sed 's/\(.*\) (.*#\(.*\))/\1+git\2/' -i cargo-vendor.txt
 
 %install
 make install DESTDIR=%{buildroot} prefix=%{_prefix}
